Planet

Si vous n'avez plus de son suite à une mise à jour récente (passage du noyau Linux 2.6.24-19 au Linux 2.6.24-21) sur votre Dell inspiron 1525, vous n'êtes pas le seul :)

Voici la solution :

cd /lib/modules/2.6.24-21-generic/ubuntu/sound/alsa-driver/pci/hda sudo mv snd-hda-intel.ko.REPLACEDBYhsfmodem snd-hda-intel.ko cd /lib/modules/2.6.24-21-generic/updates sudo rm snd-hda-intel.ko sudo rm snd-hda-codec.ko sudo depmod -a sudo update-initramfs -u sudo reboot

Liens, sources, informations complémentaires :

18 Octobre 2008 à 17:00

SmartSVN via Pianopenguin

J'avais quelques difficultés à faire fonctionner RapidSVN sur plusieurs projets. J'ai testé le script SVN pour Nautilus mais ne l'ayant pas trouvé assez simple d'utilisation j'ai finalement adopté SmartSVN.

SmartSVN est un client SVN en JAVA qui fonctionne donc sur tout système d'exploitation. Il ne s'agit pas d'un logiciel libre, mais la version "Foundation" est disponible gratuitement et elle suffit entièrement à mes besoins.

L'installation de SmartSVN, comme toute installation hors des dépots officiels, représente un risque pour votre système.

SmartsSVN nécessite une version du JRE de SUN supérieure à 1.4. Pour l'installation de JAVA reportez vous à la documentation sur Ubuntu.fr.

Décompressez le fichier d'installation générique pour Linux dans un dossier spécifique de votre répertoire personnel.

Exécutez le fichier "SmartSVN 4.0.7/bin/smartsvn.sh" et suivez les instructions :

Setup SmartSVN

Vous pouvez ensuite créer un "lanceur" en choisissant une icône située dans le dossier bin :

Lanceur SmartSVN

Et voila un client SVN complet fonctionnant sans aucun problème sur plusieurs projets :

SmartSVN

17 Octobre 2008 à 08:39

Quel développeur suis-je ? via Kévin Dunglas

  • Os : Ubuntu et Mac OS X
  • Éditeurs : Eclipse et vim
  • Langages favoris : Python, C
  • VCS : Subversion
  • Navigateur : Firefox

Alors, quel développeur je suis ?

Programmer hierarchy

Programmer hierarchy

14 Octobre 2008 à 22:48

Retour d'hibernation ;) ! via Ludoka.net

Ayant rencontré moultes problèmes avec la mise en veille et l'hibernation, je vais expliquer très brièvement comment les régler.

Avant toute chose, ce que je vais dire concerne principalement les possesseurs de carte nVidia. De plus, les manipulation que je vais décrire peuvent se révéler très dangereuses pour l'intégrité de votre système (tant matériel que logiciel). Avant d'éditer un fichier système, il est fortement conseillé d'en faire une copie de sauvegarde.

Problèmes dûs à la carte graphique nVidia GeForce 8600M GT

Éditer le fichier /etc/X11/xorg.conf pour ajouter à la section « Device » (carte graphique) :

Option "NvAGP" "1" Option "NoLogo" "1"

Éditer le fichier /etc/default/acpi-support pour changer :

SAVE_VBE_STATE=false POST_VIDEO=false

Éditer /etc/modprobe.d/blacklist pour ajouter :

blacklist intel_agp blacklist agpgart

Sources :

Problèmes dûs à la carte son Intel Corporation 82801H

Éditer /etc/modprobe.d/alsa-base pour ajouter :

options snd-hda-intel model=toshiba

Source inconnue.

Mysql Workbench glorieux successeur de dbdesigner 4 est désormais disponible sous Linux dans sa version alpha, hautement instable. Plutôt que de copier bêtement les instructions utiles pour compiler Workbench pour ubuntu voici un lien utile sur developpez.com, inutile de dire que si vous êtes débutant je vous conseille fortement d'attendre une version stable et disponible en .deb (comme moi :p)

Attention, les manipulations indiquées dans l'article et les liens mentionnés peuvent compromettre la stabilité de votre système, je décline toutes responsabilités

Dans cette version pour linux on retrouve évidemment les caractéristiques habituelles :

  • Conception visuelle de la base de données
  • Rétro-ingénieurie, c'est à dire que d'après un script Sql on vous redessine le schéma Merise
  • Pro ingénieurie, transformation d'un schéma en script Sql.
  • Outils de synchronisation entre schéma et base de données courante
  • Intégration de DBDoc afin de documenter les schémas
13 Octobre 2008 à 00:54

Imprimer un plan à l'échelle via KubuntuBlog

Un petit article en forme de pense-bête. Comment imprimer un plan[1] en conservant l'échelle de celui-ci.

Nous considérons que le plan est sous forme d'image. Ouvrir celle-ci avec The Gimp. À l'aide de l'outil de mesure prendre une distance connue et noter le nombre de pixels correspondants.

Mesurer

Une fois ceci fait, un simple petit calcul nous permet de déterminer le nombre de pixels par millimètre. Ici j'ai 77 pixels pour une distance de 100cm. Au 100ème 100cm sont représentés par 10mm. Donc 77/10=7.7 pixels/mm

Pour imprimer au 50ème, le calcul devient 77/20=3.85 px/mm etc...

Toujours dans Gimp, choisir Image → Taille de l'impression. Cette boite de dialogue permet de calculer la taille que devra faire l'image une fois imprimée.

Calculer

Et voila, il ne vous reste plus qu'à imprimer l'image à la taille voulue. On peut même en faire un pdf histoire de ne pas refaire le calcul à chaque impression.

Imprimer

Vous pouvez bien sur aussi utiliser l'impression via Gimp. Dans ce cas, pensez bien à donner la valeur en pixels/pouce.

Notes

[1] de maison par exemple

Firefox 3 permet d'être configuré pour utiliser des sites Web lors que l'on clique sur des liens comme mailto: (et aussi pour tout autre type de lien non http(s) et ftp comme calendar:, lastfm: etc). Il est assez facile d'ajouter GMail :

  • Entrez about:config dans la barre d'adresse, lisez attentivement le message apparu et validez.
  • Entrez gecko.handlerService.allowRegisterFromDifferentHost dans le champ de recherche about:config et changer sa valeur en true en double cliquant sur la ligne correspondante. Attention, si par défaut cette ligne à une valeur à false ce n'est pas pour rien : cela empêche Firefox d'installer des "protocol handlers" d'un site différent de celui sur lequel on se trouve. Je vous conseille donc, après avoir terminer ce tutoriel, d'aller remettre la valeur false (avec un double click aussi).
  • Maintenant, copiez-collez la ligne suivante dans votre barre d'adresse : javascript:window.navigator.registerProtocolHandler("mailto","https://mail.google.com/mail/?extsrc=mailto&url=%s","GMail")
    Firefox devrait vous demander si vous souhaitez rajouter GMail pour comme application mailto:

C'est fini, la prochaine fois que vous cliquerez sur un email Firefox vous proposera d'utiliser GMail et il suffira de l'accepter par défaut.

via : http://navigosaure.net/carnet/97-firefox-3-utiliser-gmail-pour-ouvrir-les-liens-mailto

Je le répète tous les six mois, mais comme mon nombre de post mensuel est proche du zero absolu je me le permet : Giroll est un petit mais sympathique (dynamique ?) LUG de Gironde, qui a élu pour quartier général l'Espace Culturel Multimedia de St Pierre à Bordeaux.

Mon ami girollien Yorick nous avait déjà bluffé par son précédent logo pour la sortie de la Ubuntu LTS - qui n'a d'LTS que le nom et le support, pas la qualité - et il remet ça avec la version à venir d'ici quelques jours :

Je vous rappelle que cette version s'appellera The Intrepid Ibex, ce qui en français veut dire : le Bouquetin Intrépide.

Encore une fois très réussi tout ça... Félicitations !!

ps : je profite de mes entrées sur le planet ubuntu-fr pour relayer l'info, malgré mon absence quasi définitive du monde de l'OS Libre. Je consacre actuellement mes efforts au développement web libre.

Bien à vous,

L'annonce date un peu, une nouvelle version de "The Gimp", logiciel de dessin gratuit équivalent à Photoshop vient de sortir avec son petit lot de nouveautés (redimensionnement, déplacement, fenêtrage...). La meilleure nouvelle c'est que pour bénéficier de cette nouvelle version, il n'y aura pas de compilation.

Attention, les manipulations indiquées dans l'article ci-dessous peuvent compromettre la stabilité de votre système, je décline toutes responsabilités. Les paquets .deb ne sont pas officiels. alternative-2-6-ui-layout-example-one.jpg

Installation depuis les paquets .deb

  1. Rendez-vous à cette page (32bits) ou celle-ci (64bits) et télécharger les six paquets .deb disponible dans votre dossier utilisateur
  2. Ouvrez votre terminal (Applications > Accessoires > Terminal)
  3. Dans cette ordre installez les paquets de la manière suivante (de mémoire ;-) ):
    1. sudo dpkg -i libbabl-0.0-0_0.0.22-1~getdeb1_i386.deb
    2. sudo dpkg -i libgegl-0.0-0_0.0.18-1~getdeb1_i386.deb
    3. sudo dpkg -i libgimp2.0_2.6.0-1~getdeb1_i386.deb
    4. sudo dpkg -i gimp-data_2.6.0-1~getdeb1_all.deb
    5. sudo dpkg -i gimp_2.6.0-1~getdeb1_i386.deb

Les nouveautés de cette version 2.6.0

  • Gestion de la pression (uniquement disponible auparavant avec les tablettes graphiques)
  • Un meilleur algorithme de redimension de l'image.
  • Abandon du moteur ImageMagick pour GEGL, (en faveur du RAW)
  • Zoom éditable
  • Edition polygonale améliorée
  • Filtre GEGL
  • Plus ... Site Officiel

Appnr est un portage web du système d’installation de paquets simplifié d’Ubuntu (GNOME Application Installer). Il permet de parcourir les différents logiciels disponibles dans les dépôt de notre distribution favorite depuis un simple navigateur et via une jolie interface AJAX. Appnr reprend les grandes lignes de son grand frère desktop : classement par catégorie, alphabétique et par popularité.

Appnr

L’application utilise le pseudo-protocole apturl afin de permettre l’installation des paquets directement d’un simple click depuis Firefox. Appnr est très pratique pour suggérer l’installation d’un logiciel à un utilisateur d’Ubuntu via le réseau de manière intuitive et user-friendly. Elle pourra également agréablement remplacer le très austère packages.ubuntu.com pour fouiller dans les dépôts depuis un autre système.

Pages